html, body {
    height: 100%;
    margin: 0;
}

body {
    display: flex;
    flex-direction: column;
}

.f {
    margin-top: auto;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    gap: 6px;
    padding: 20px 20px;
    font-size: 14px;
    box-sizing: border-box;
    text-align: center;
    border-top: 2px solid #8080801f;
}

.f a {
    color: #000;
    text-decoration: none;
    white-space: nowrap;
}

.f a:hover {
    text-decoration: underline;
}